Kwalitee Issues

manifest_matches_dist

Run a proper command ("make manifest" or "./Build manifest", maybe with a force option), or use a distribution builder to generate the MANIFEST. Or update MANIFEST manually.

Error:

  • MANIFEST (21) does not match dist (22):
  • Missing in MANIFEST: .cvsignore

meta_yml_is_parsable

Upgrade your YAML generator so it produces valid YAML.

Error: CPAN::Meta::YAML failed to classify line ' File::Basename 2.74'

no_pod_errors

Remove the POD errors. You can check for POD errors automatically by including Test::Pod to your test suite.

Error: App-Wx-PodEditor-0.01/lib/App/Wx/PodEditor/Frame.pm -- Around line 147: Non-ASCII character seen before =encoding in 'eigenständige'. Assuming CP1252

has_meta_json

Add a META.json to the distribution. Your buildtool should be able to autogenerate it.

meta_yml_has_license

Define the license if you are using in Build.PL. If you are using MakeMaker (Makefile.PL) you should upgrade to ExtUtils::MakeMaker version 6.31.

has_separate_license_file

This is not a critical issue. Currently mainly informative for the CPANTS authors. It might be removed later.

Modules

Name Abstract Version View
App::Wx::PodEditor A Pod editor written with wxPerl 0.01 metacpan
App::Wx::PodEditor::Actions 0.01 metacpan
App::Wx::PodEditor::Actions::Edit 0.01 metacpan
App::Wx::PodEditor::Actions::File 0.01 metacpan
App::Wx::PodEditor::Actions::Format 0.01 metacpan
App::Wx::PodEditor::Frame 0.01 metacpan

Other Files

Changes metacpan
MANIFEST metacpan
META.yml metacpan
Makefile.PL metacpan
README metacpan